* {
    box-sizing: border-box;
}
img {
    max-width: 100%;
}
body {
    color: #2c1034;
    font-family: 'DM Sans', sans-serif;
    line-height: 1.5;
}
.header {
    display: flex;
    justify-content: space-between;
    max-width: 1280px;
    margin: 0 auto;
    align-items: center;
    background-color: #2c1034;
    flex-wrap: wrap;
    position: relative;
}
@media screen and (min-width: 768px) {
    .header {
        background-color: unset;
        padding-left: 32px;
        padding-right: 32px;
    }
}
.header__image {
    width: 100px;
    height: 100px;
    border-radius: 0 0 10px 10px;
}
@media screen and (min-width: 768px) {
    .header__image {
        width: 150px;
        height: 150px;
    }
}
.header.open .fa-bars {
    display: none;
}
.header .fa-xmark {
    display: none;
}
.header.open .fa-xmark {
    display: block;
}
.header .fa {
    color: white;
    font-size: 28px;
    position: absolute;
    top: 35px;
    right: 35px;
}

@media screen and (min-width: 768px) {
    .header .fa {
        display: none;
    }
}
.header__list {
    display: none;
    list-style: none;
    gap: 32px;
    font-weight: 500;
    width: 100%;
    background-color: #2c1034;
    justify-content: center;
    flex-direction: column;
    color: white;
    text-align: center;
    font-size: 24px;
}
.header.open .header__list {
    display: flex;
}
@media screen and (min-width: 768px) {
    .header__list {
        display: flex;
        justify-content: unset;
        width: auto;
        flex-direction: row;
        color: #2c1034;
        text-align: unset;
        font-size: 16px;
        background: unset;
    }
}
.header__list-item {
    color: #2c1034 ;
    text-decoration: unset ;
    list-style: none;
    padding: 10px;
}
.header__button-wrapper {
    display: none;
    width: 100%;
    justify-content: center;
    background-color: #2c1034;
    padding-bottom: 64px;
    padding-top: 16px;
}

.header.open .header__button-wrapper {
    display: flex;
}
@media screen and (min-width: 768px) {
    .header__button-wrapper {
        display: initial;
        width: auto;
        justify-content: unset;
        display: initial;
        background-color: unset;
        padding-bottom: unset;
        padding-top: unset;
    }
}
.button {
    border-radius: 10px;
    padding: 16px;
    background-color: #2c1034;
    color: #ffffff;
    font-weight: 700;
    font-size: 24px;
}
@media screen and (min-width: 768px) {
    .button {
        font-size: 16px;
    }
}
@media screen and (max-width: 767px) {
    .button--white-on-mobile {
        background-color: #fff;
        color: #2c1034;
    }
}

.button--white {
    background-color: white;
    color: #2c1034;
}
.hero {
    display: flex;
    align-items: center;
    padding-left: 32px;
    padding-right: 32px;
    max-width: 1280px;
    margin: 0 auto;
    gap: 32px;
    padding-top: 32px;
    padding-bottom: 32px;
    flex-direction: column;
    text-align: center;
}
@media screen and (min-width: 768px) {
    .hero {
        flex-direction: row;
        text-align: start;
        padding-top: 64px;
        padding-bottom: 64px;
    }
}
@media screen and (min-width: 768px) {
    .hero img {
        max-width: 592px;
    }
}

.hero__content {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: flex-start;
    justify-content: center;
    align-items: center;
}
@media screen and (min-width: 768px) {
    .hero__content {
        justify-content: flex-start;
        align-items: flex-start;
    }
}
.hero__testimonial {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: .08em;
}
.hero__headline {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.25;
}

@media screen and (min-width: 768px) {
    .hero__headline {
        font-size: 48px;
    }
}
.whats-this {
    padding-left: 32px;
    padding-right: 32px;
    max-width: 1280px;
    margin: 0 auto;
    padding-top: 64px;
    padding-bottom: 64px;
    color: #fff;
}
.whats-this__content {
    background-color: #2c1034;
    border-radius: 10px;
    justify-content: center;
    display: flex;
    flex-direction: column;
}
.whats-this__items {
    padding: 16px 8px;
    flex-direction: column;
    gap: 32px;
}
@media screen and (min-width: 768px) {
    .whats-this__items {
        padding: 64px 32px;
    }
}
.section-title-wrapper {
    display: flex;
    margin: 0 auto;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 32px 16px;
    text-align: center;
}
.section-title {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: .08em;
    font-family: 'DM Mono', monospace;
}
.section-headline {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.25;
}
@media screen and (min-width: 768px) {
    .section-headline {
        font-size: 48px;
    }
}
.textimage {
    display: flex;
    gap: 32px;
    align-items: center;
    padding: 0 32px;
    flex-direction: column;
}
@media screen and (min-width: 768px) {
    .textimage {
        flex-direction: row;
    }
}
.textimage__image {
    flex: 1 1 0;
    display: flex;
    justify-content: center;
}
@media screen and (min-width: 768px) {
    .textimage__image img {
        max-width: 350px;
    }
}

.textimage__content {
    flex: 1 1 0;
    display: flex;
    flex-direction: column;
}
.textimage__testimonial {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: .08em;
}
.textimage__headline {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.25;
}
.banner__wrapper {
    padding-left: 32px;
    padding-right: 32px;
    max-width: 1280px;
    margin: 0 auto;
    padding-top: 64px;
    padding-bottom: 64px;
}
.banner {
    background-color: #2c1034;
    display: flex;
    gap: 20px;
    padding: 20px;
    border-radius: 10px;
    color: white;
    flex-direction: column;
}
@media screen and (min-width: 768px) {
    .banner {
        flex-direction: row;
    }
}
.banner__image img {
    border-radius: 10px;
}
@media screen and (min-width: 768px) {
    .banner__image img {
        max-width: 510px;
    }
}
.banner__content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.banner__headline {
    font-size: 28px;
    font-weight: 500;
    line-height: 1.25;
    margin-block-start: 0.83em;
}
@media screen and (min-width: 768px) {
    .banner__headline {
        font-size: 32px;
    }
}
.banner__descr {
    font-size: 18px;
    font-weight: 500;
    margin-block-start: 1em;
    margin-block-end: 1em;
}
@media screen and (min-width: 768px) {
    .banner__descr {
        font-size: 24px;
    }
}
.profits {
    padding-left: 32px;
    padding-right: 32px;
    max-width: 1280px;
    margin: 0 auto;
    padding-top: 64px;
    padding-bottom: 64px;
}
.profits__items {
    display: flex;
    gap: 16px;
    padding: 8px 16px;
    flex-direction: column;
}
@media screen and (min-width: 768px) {
    .profits__items {
        flex-direction: row;
        padding: 64px 32px;
    }
}
.profit__item {
    flex: 1 1 0;
    display: flex;
    flex-direction: column;
    padding: 0 16px;
    gap: 16px;
}
@media screen and (min-width: 768px) {
    .profit__item {
        padding: 0 32px;
    }
}
.profit__item .fa {
    font-size: 32px;
}
.profit__headline {
    font-size: 24px;
    font-weight: 500;
}
.about-me {
    padding-left: 32px;
    padding-right: 32px;
    max-width: 1280px;
    margin: 0 auto;
    padding-top: 64px;
    padding-bottom: 64px;
}
.about-me__content {
    background-color: #2c1034;
    border-radius: 10px;
    display: flex;
    padding: 64px 64px 0 64px;
    color: #fff;
    flex-direction: column;
    justify-content: center;
}
@media screen and (min-width: 768px) {
    .about-me__content {
        flex-direction: row;
    }
}
.about-me__testimonial {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: .08em;
}
.about-me__headline {
    font-size: 48px;
    font-weight: 500;
}
.about-me__text {
    flex: 1 1 0;
}
.about-me__image {
    flex: 1 1 0;
}
.about-me .fa {
    font-size: 32px;
    margin-right: 10px;
    margin-top: 10px;
}
.about-me a {
    color: white;
}